# EDIT THIS FILE WITH CAUTION  (plot_summary-opts)
#
# It has been AutoGen-ed  June  2, 2016 at 07:25:41 AM by AutoGen 5.18.5
# From the definitions    plot_summary-opts.def
# and the template file   perlopt

use Getopt::Long qw(GetOptionsFromArray);
Getopt::Long::Configure(qw(no_auto_abbrev no_ignore_case_always));

my $usage;

sub usage {
    my ($ret) = @_;
    print STDERR $usage;
    exit $ret;
}

sub paged_usage {
    my ($ret) = @_;
    my $pager = $ENV{PAGER} || '(less || more)';

    open STDOUT, "| $pager" or die "Can't fork a pager: $!";
    print $usage;

    exit $ret;
}

sub processOptions {
    my $args = shift;

    my $opts = {
        'directory' => '/tmp',
        'identifier' => '',
        'offset-limit' => '0.128',
        'peer' => [],
        'plot-term' => '',
        'output-file' => '',
        'dont-wait' => '',
        'help' => '', 'more-help' => ''
    };
    my $argument = '';
    my $ret = GetOptionsFromArray($args, $opts, (
        'directory=s', 'identifier=s', 'offset-limit=f',
        'peer=s', 'plot-term=s', 'output-file=s',
        'dont-wait',
        'help|?', 'more-help'));

    $usage = <<'USAGE';
plot_summary - plot statistics generated by summary script - Ver. 4.2.8p8
USAGE: plot_summary [ -<flag> [<val>] | --<name>[{=| }<val>] ]... 

        --directory=str          Where the summary files are
        --identifier=str         Origin of the data
        --offset-limit=float     Limit of absolute offset
        --peer=str               Peers to generate plots for
                                   - may appear multiple times
        --plot-term=str          Gnuplot terminal
        --output-file=str        Output file
        --dont-wait              Don't wait for keystroke between plots
    -?, --help                   Display usage information and exit
        --more-help              Pass the extended usage text through a pager

Options are specified by doubled hyphens and their name or by a single
hyphen and the flag character.
USAGE

    usage(0)       if $opts->{'help'};
    paged_usage(0) if $opts->{'more-help'};
    $_[0] = $opts;
    return $ret;
}

END { close STDOUT };
